> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deflect.bot/llms.txt
> Use this file to discover all available pages before exploring further.

# Email Intelligence

> Validate and score an email address

import { CodeBlock } from 'nextra/components'

Validate and score email addresses in real-time.


## OpenAPI

````yaml POST /intelligence/email
openapi: 3.1.0
info:
  title: Deflect API
  description: API endpoints for Deflect Antibot
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.deflect.bot
security: []
paths:
  /intelligence/email:
    post:
      description: Validate and score an email address
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
components:
  schemas:
    EmailRequest:
      type: object
      required:
        - api_key
        - email
      properties:
        api_key:
          type: string
          description: Your Deflect API Key
        email:
          type: string
          format: email
    EmailResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          properties:
            is_valid:
              type: boolean
            is_trusted:
              type: boolean
            trust_score:
              type: number
            has_aliasing:
              type: boolean
            normalized_email:
              type: string
            domain:
              type: string
    UnauthorizedError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: invalid_token
      required:
        - success
        - message

````